Bug 20986 - MARC21 Supplement and Index Textual Holdings don't display
Summary: MARC21 Supplement and Index Textual Holdings don't display
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Joy Nelson
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-22 21:57 UTC by Joy Nelson
Modified: 2019-06-12 22:45 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 20986 Add 867 and 868 holdings display (6.00 KB, patch)
2018-06-22 22:24 UTC, Joy Nelson
Details | Diff | Splinter Review
Bug 20986 Add 867 and 868 holdings display (6.10 KB, patch)
2018-09-15 17:22 UTC, Ed Veal
Details | Diff | Splinter Review
Bug 20986: Add 867 and 868 holdings display (6.15 KB, patch)
2018-09-27 20:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20986: (follow-up) Avoid br tags, but allow for line breaks to be added easily with CSS (8.66 KB, patch)
2018-09-27 20:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20986: Add 867 and 868 holdings display (6.21 KB, patch)
2019-04-16 17:49 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 20986: (follow-up) Avoid br tags, but allow for line breaks to be added easily with CSS (8.72 KB, patch)
2019-04-16 17:49 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 20986: Add 867 and 868 holdings display (6.27 KB, patch)
2019-05-11 13:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20986: (follow-up) Avoid br tags, but allow for line breaks to be added easily with CSS (8.77 KB, patch)
2019-05-11 13:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2018-06-22 21:57:58 UTC
Koha currently only displays the 866 Textual Holdings tag.  It does not display the 867 Supplements or 868 Indexes Textual Holdings data.
Comment 1 Joy Nelson 2018-06-22 22:24:49 UTC
Created attachment 76316 [details] [review]
Bug 20986 Add 867 and 868 holdings display

Add line breaks in the 866 Holdings display in the OPAC details and Staff details page.  Add 867 and 868 textual holdings with line breaks in the OPAC and Staff details display.
Comment 2 Joy Nelson 2018-06-22 22:26:43 UTC
Test plan

* Create a big with multiple 866, 867 and 868 tags
* Note that the display in OPAC and Staff Details pages does not contain 867, 868 textual holdings and the 866 tags are run together on one line
* Apply the patch
* Now the 867 and 868 tags display
* Additionally the 866,867 and 868 are displayed one per line
Comment 3 Ed Veal 2018-09-15 17:22:37 UTC
Created attachment 78861 [details] [review]
Bug 20986 Add 867 and 868 holdings display

Add line breaks in the 866 Holdings display in the OPAC details and Staff details page.  Add 867 and 868 textual holdings with line breaks in the OPAC and Staff details display.

Signed-off-by: Ed Veal <eveal@mckinneytexas.org>

https://bugs.koha-community.org/show_bug.cgi?id=10662
Comment 4 Ed Veal 2018-09-15 17:24:30 UTC
This works as expected.
Comment 5 Katrin Fischer 2018-09-27 20:39:26 UTC
Created attachment 79550 [details] [review]
Bug 20986: Add 867 and 868 holdings display

Add line breaks in the 866 Holdings display in the OPAC details and Staff details page.  Add 867 and 868 textual holdings with line breaks in the OPAC and Staff details display.

Signed-off-by: Ed Veal <eveal@mckinneytexas.org>

https://bugs.koha-community.org/show_bug.cgi?id=10662
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2018-09-27 20:39:37 UTC
Created attachment 79551 [details] [review]
Bug 20986: (follow-up) Avoid br tags, but allow for line breaks to be added easily with CSS

This patch removes the br tags from the XSLT in favor of some more
spans and classes.

This will allow to add the line breaks with one line of CSS:
span.holdings_note_data { display:block; }
Comment 7 Katrin Fischer 2018-09-27 20:40:55 UTC
Hi Joy and Ed, 

I feel the line breaks would break the layout for some people - I know it would not work well with our data. I am proposing a slight change that is more in line with the current layout but will still allow you to have what you wanted with one line of CSS.

Could you take a look?
Comment 8 Liz Rea 2019-04-16 17:49:06 UTC
Created attachment 88095 [details] [review]
Bug 20986: Add 867 and 868 holdings display

Add line breaks in the 866 Holdings display in the OPAC details and Staff details page.  Add 867 and 868 textual holdings with line breaks in the OPAC and Staff details display.

Signed-off-by: Ed Veal <eveal@mckinneytexas.org>

https://bugs.koha-community.org/show_bug.cgi?id=10662
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 9 Liz Rea 2019-04-16 17:49:58 UTC
Created attachment 88096 [details] [review]
Bug 20986: (follow-up) Avoid br tags, but allow for line breaks to be added easily with CSS

This patch removes the br tags from the XSLT in favor of some more
spans and classes.

This will allow to add the line breaks with one line of CSS:
span.holdings_note_data { display:block; }

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 10 Katrin Fischer 2019-05-11 13:32:02 UTC
Created attachment 89605 [details] [review]
Bug 20986: Add 867 and 868 holdings display

Add line breaks in the 866 Holdings display in the OPAC details and Staff details page.  Add 867 and 868 textual holdings with line breaks in the OPAC and Staff details display.

Signed-off-by: Ed Veal <eveal@mckinneytexas.org>

https://bugs.koha-community.org/show_bug.cgi?id=10662
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2019-05-11 13:32:05 UTC
Created attachment 89606 [details] [review]
Bug 20986: (follow-up) Avoid br tags, but allow for line breaks to be added easily with CSS

This patch removes the br tags from the XSLT in favor of some more
spans and classes.

This will allow to add the line breaks with one line of CSS:
span.holdings_note_data { display:block; }

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Martin Renvoize 2019-06-06 15:10:41 UTC
Nice work!

Pushed to master for 19.11.00
Comment 13 Fridolin SOMERS 2019-06-11 15:18:48 UTC
Pushed to 19.05.x for 19.05.01
Comment 14 Lucas Gass 2019-06-12 22:45:48 UTC
backported to 18.11.x for 18.11.07